
plan = get_plan(memory)
# check plan state
assert_equals(plan.state, 'done')
# check steps'state
assert_equals(plan.elements['step1'].state, 'history')
assert_equals(plan.elements['step2'].state, 'impossible')
assert_equals(plan.elements['step3'].state, 'history')
assert_equals(plan.elements['step4'].state, 'done')
# check transitions'state
assert_equals(plan.elements['never_fired'].state, 'impossible')
assert_equals(plan.elements['always_fired_1'].state, 'fired')
assert_equals(plan.elements['always_impossible'].state, 'impossible')
assert_equals(plan.elements['always_fired_2'].state, 'fired')
